dosemu .49 question

dosemu .49 question

Post by Scott Litt » Wed, 02 Jun 1993 04:40:12



OK, I'm stumped.

I've just downloaded dosemu0.49 and am trying to install it on linux.99pl8A.
The README say that first I need to apply some patches, IPCDELTA and MMAP.DIFF,
and further says that IPCDELTA doesn't patch cleanly so I must hand edit
two files (can't recall the names at the moment).  So I download IPCDELTA,
but it makes no mention of not patching cleanly on .99pl8/9.  SO....

Will IPCDELTA cleanly patch on linux .99pl8A?  Why does my SLS distribution
claim to be .99pl8A rather that just .99pl8?  Have the patches already been
made?  If IPCDELTA does not patch cleanly, what EXACTLY do I have to do
to clean up after tha patch. Is there a distribution with these patches
already aplied?

Where is MMAP.DIFF?  I've looked everywhere for this file, not even
archie can find it, nor can I find it in the SLS distribution.

Oh yah, one other question.  There was a footnote in dosemu saying that
if you doen't plan on using EMS then the patch isn't required.  Does
he mean both patches, or just MMAP.DIFF?

I'd like to thank the author of dosemu for his hardwork, but the
documentation could still use a few tweeks to make it clear to us
linux newbies who aren't familiar with kernal patching.

Thanks all!

Scott Little


 
 
 

dosemu .49 question

Post by Howlin' B » Wed, 02 Jun 1993 10:01:59



Quote:>and further says that IPCDELTA doesn't patch cleanly so I must hand edit
>two files (can't recall the names at the moment).  So I download IPCDELTA,
>but it makes no mention of not patching cleanly on .99pl8/9.  SO....

That's because it was released before 0.99pl8. He couldn't have foreseen the
clone() changes which cause the incompatibility.  0.99pl10 will
have the ipcdelta patches pre-applied, but you'll still need to
get the sys/{ipc,shm,sem,msg}.h files.  Hopefully, they'll be included
with the next C library distribution.

Quote:>Will IPCDELTA cleanly patch on linux .99pl8A?  Why does my SLS distribution
>claim to be .99pl8A rather that just .99pl8?  Have the patches already been
>made?  If IPCDELTA does not patch cleanly, what EXACTLY do I have to do
>to clean up after tha patch. Is there a distribution with these patches
>already aplied?

1) SLS has had the IPC patches applied for some time.  However, I don't
know if these were ipcdelta or an earlier version.  You need ipcdelta.

2) 0.99pl8A may mean Alpha version.  Or Peter may have chosen it to
  indicate all the patches he has applied.

Quote:>Where is MMAP.DIFF?  I've looked everywhere for this file, not even
>archie can find it, nor can I find it in the SLS distribution.

I should have included mmap.diff with dosemu.  If not, mail me.
It is only necessary for EMS.

Quote:>if you doen't plan on using EMS then the patch isn't required.  Does
>he mean both patches, or just MMAP.DIFF?

mmap.diff.

Quote:>I'd like to thank the author of dosemu for his hardwork, but the
>documentation could still use a few tweeks to make it clear to us
>linux newbies who aren't familiar with kernal patching.

dosemu 0.49 (note the sub-1.0 number indicating its ALPHA status,
which specifically means NOT FOR NEWBIES) needs a lot of tweaks
everywhere.  However, I do not intend to explain the art of
kernel patching.  If you cannot take the time to learn this
simple skill, much of Linux will be unavailable to you.  Linux
is a roll-your-own OS.
--
Robert Sanders
Georgia Institute of Technology, Atlanta Georgia, 30332
uucp:     ...!{decvax,hplabs,ncar,purdue,rutgers}!gatech!prism!gt8134b


 
 
 

1. dosemu .49

Hi ho there.

Where can I find the new dosemu? (0.49) I can't
see to find it with the other dosemu stuff on either sunsite or tsx-11.

                                Thanks ,

                                        (please mail)

2. Q: AGP and PPP w/ STAC

3. Stacker 4.0 & dosemu .49 problem

4. Email attachments

5. DOSEMU 0.49.2: Borland C++ 3.1 Problem

6. 2.4.5 kernel crash while using tcpdump+iptraf

7. IBM exam199 - 49 questions - help needed!!!

8. Unix/Advanced Computing People

9. DOSEMU 49.PL3 , VCPI or DPMI

10. Dosemu0.49 works: better than earlier version.

11. getting dosemu0.49 to compile under mcc99p10+

12. Help with a 49 hour compile!!

13. Can't locate module eth0:0..49